﻿/**********************************************************************************
 * Project Name :   
 * Remarks      :  
 * Class Name   :  AssertCommon_Editable 
 * Version      :  v1.0.0.0 
 * Author       :  Joey Liang 
 * Description  : 
 * Created Time :  2013/10/16 21:41:53
 * Update Man   :  Joey Liang
 * Update Time  :  2013/10/16 21:41:53
************************************************************************/

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IdleTest.MSTest
{
    /// <summary>
    /// (对AssertCommon发生的修改应该在此文件中进行)
    /// 断言类，该类将不依赖于所使用的单元测试框架，可使用任何C#测试框架，只需实现IAssertInstance接口，
    /// 并调用RegisterInstance将实现的IAssertInstance接口类型注册即可
    /// </summary>
    public partial class AssertCommon
    {
        #region 断言实例IAssertInstance
        static readonly IAssertInstance DEFAULT_INSTANCE = new AssertInstance();

        #endregion
    }
}
