﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace JoeyLibs.UnitTest.Common
{
    [Serializable]
    public class EntityParameter
    {
        private int data;
        public int Data
        {
            get { return this.data; }
            set { this.data = value; }
        }

        /// <summary>
        /// 空构造函数以支持反序列化
        /// </summary>
        public EntityParameter() { }

        public EntityParameter(int data) 
        {
            this.data = data;
        }
    }
}
