﻿/**********************************************************************************
 * Project Name   :   
 * Remarks        :  
 * Interface Name :  IBackupRestore   
 * Version        :  v1.0.0.0 
 * Author         :  Joey Liang 
 * Description    : 
 * Created Time   :  2013/8/14 22:28:17
 * Update Man     :  Joey Liang
 * Update Time    :  2013/8/14 22:28:17
************************************************************************/

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace JoeyLibs.IdleStartMenu.Interfaces
{
    public interface IBackupRestore
    {
        /// <summary>
        /// 备份配置
        /// </summary>
        /// <param name="backupFile">备份文件全路径名</param>
        void BackupSetting(string backupFile);

        /// <summary>
        /// 还原配置
        /// </summary>
        /// <param name="toFile">还原文件全路径名</param>
        void RestoreSetting(string toFile);

        /// <summary>
        /// 恢复初始设置
        /// </summary>
        void ResetInit();
    }
}
