﻿/**********************************************************************************
 * Project Name :   
 * Remarks      :  
 * Class Name   :  MsgBox 
 * Version      :  v1.0.0.0 
 * Author       :  Joey Liang 
 * Description  : 
 * Created Time :  2013/8/14 22:38:59
 * Update Man   :  Joey Liang
 * Update Time  :  2013/8/14 22:38:59
************************************************************************/

using JoeyLibs.IdleStartMenu.Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;

namespace JoeyLibs.IdleStartMenu.UIUtility
{
    public class MsgBox
    {
        public static MessageBoxResult Show(string text, string caption = "",
            MessageBoxButton buttons = MessageBoxButton.OK, MessageBoxImage icon = MessageBoxImage.None,
            MessageBoxResult defaultButton = MessageBoxResult.OK, MessageBoxOptions options = MessageBoxOptions.None)
        {
            return MessageBox.Show(text, caption, buttons, icon, defaultButton, options);
        }

        public static MessageBoxResult ShowByResource(string resource, string caption = "",
            MessageBoxButton buttons = MessageBoxButton.OK, MessageBoxImage icon = MessageBoxImage.None,
            MessageBoxResult defaultButton = MessageBoxResult.OK, MessageBoxOptions options = MessageBoxOptions.None)
        {
            return Show(LanguageManager.GetResource(resource), caption, buttons, icon, defaultButton, options);
        }
    }
}
